QGIS Application - Bug report #20898
Geojson Protocol in QGIS 3.4.3
2018-12-31 02:56 PM - Randal Hale

Status: Closed

Priority: Normal

Assignee:

Category: Vectors

Affected QGIS version:3.4.3 Regression?: No
Operating System: Windows 10 Easy fix?: No

Pull Request or Patch supplied: Resolution: duplicate
Crashes QGIS or corrupls data: Copied to github as #: 28717
Description

So this bug only happens in QGIS on Windows (osgeo4w installer) and not on Linux/Mac.

I have a service I'm retrieving from my fulcrum account: https://web.fulcrumapp.com/shares/a7ebbd207e74d371.geojson and it adds
normally in Linux. On windows (osgeo4w installer) it fails to add with a "invalid data source". If | check the ogr log | get a "WARNING
Cannot open https://web.fulcrumapp.com/shares/a7ebbd207e74d371.geojson.(SSL certificate problem: self signed certificate in
certificate chain)".

| can retrieve the data using ogr2ogr and place it into a postgis database (ogr2ogr -update -append -t_srs EPSG:2274 -f "PostgreSQL"
PG:"dbname="henrycounty911' active_schema=hc911 host='gis4' port='5432" user='"rjhale' password="'passwd' " -nin
hc911.addresspoints https://web.fulcrumapp.com/shares/a7ebbd207e74d371.geojson)

I've also noticed on windows there are two entries for Geojson under protocol for Vector (I've included screeenshot)

Thanks for any and all help

Related issues:
Duplicates QGIS Application - Bug report # 17947: Add GeoJSON from a https UR... Open 2018-01-24

History

#1 - 2018-12-31 08:12 PM - Randal Hale

Apparently | duplicated this -> https://issues.qgis.org/issues/17947

#2 - 2018-12-31 08:49 PM - Giovanni Manghi
- Duplicates Bug report #17947: Add GeoJSON from a https URL on Windows fails due to a SSL certificate problem added

#3 - 2018-12-31 08:49 PM - Giovanni Manghi
- Resolution set to duplicate

- Status changed from Open to Closed
